git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[DISCUSS] Dropping flink-storm?


Hi everyone,

I would like to discuss how to proceed with Flink's storm compatibility
layer flink-strom.

While working on removing Flink's legacy mode, I noticed that some parts of
flink-storm rely on the legacy Flink client. In fact, at the moment
flink-storm does not work together with Flink's new distributed
architecture.

I'm also wondering how many people are actually using Flink's Storm
compatibility layer and whether it would be worth porting it.

I see two options how to proceed:

1) Commit to maintain flink-storm and port it to Flink's new architecture
2) Drop flink-storm

I doubt that we can contribute it to Apache Bahir [1], because once we
remove the legacy mode, this module will no longer work with all newer
Flink versions.

Therefore, I would like to hear your opinion on this and in particular if
you are using or planning to use flink-storm in the future.

[1] https://github.com/apache/bahir-flink

Cheers,
Till